View Issue Details

IDProjectCategoryView StatusLast Update
0014084MediaMonkey 5Playbackpublic2018-05-29 08:50
Reporterlowlander 
PriorityurgentSeverityminorReproducibilityalways
Status feedbackResolutionreopened 
Product Version 
Target VersionFixed in Version5.0 
Summary0014084: Add Play Random option on multi file selection
DescriptionIt would be nice that if the user has a multi file selection that it could be randomly added to the Now Playing in addition to Play Now, Play Next and Play Last.
Steps To ReproduceI'd personally expect it to clear the Now Playing and add the selected files in random fashion.
TagsNo tags attached.
Fixed in build2089

Relationships

related to 0000023 feedbackrusty MediaMonkey (current) Configurable Shuffle functionality (current behavior vs randomize list) 
related to 0013389 feedbackrusty MediaMonkey 5 Now Playing: Improve handling of previously played tracks 

Activities

jiri

2017-03-14 15:00

administrator   ~0047488

Something like 'Play Shuffled' probably should be one of the Play context menu commands, Rusty?

jiri

2017-11-08 12:59

administrator   ~0049133

Last edited: 2017-12-11 16:35

View 3 revisions

1. I think that we can add 'Play Shuffled' to all context menus where 'Play Now' and other Play commands are present.

2. I'd also like to add a context menu to all 'Play' and 'Shuffle' buttons (e.g. Album view), so that they offer the choice of Play Now, Play Next and Play Last, with the same choices for the Shuffle command as well (only shuffled).

3. Another playback related command is 'Play To...':
 a. It currently works only as a selection of playback target. I.e. if there isn't anything playing, user has to select target 'My Chromecast' and then start playback. Wouldn't it make more sense to start playback right away when target is changed?
 b. 'Play to' would be nice to add as a common context menu command, so that user could e.g. right-click a video and start its Chromecast playback.

4. Items 1. and 3b. together would result in quite a lot of context menu commands (currently 7, if we also add Play Shuffled next and Play Shuffled Last). While they all might be useful, it's still quite a lot, particularly for users who don't us MM for playback, but management only. We probably should only include some of them and their visibility could be configurable in Options\Player?

rusty

2017-12-12 19:46

administrator   ~0049398

1. Agreed that 'Play shuffled' could be useful as a contextual menu item whenever 'Play Now' is present (i.e. via context menus or Player menu when media are selected).

2. I assume you mean something like this:
Play Now
Play Next
Play Last
Play shuffled >
 - Play Now (plays the selected tracks replacing current ones)
 - Play mixed (mixes the selected tracks into the current ones following the playing track)
 - Play Next (plays the selected tracks shuffled, after the currently playing track)
 - Play Last (plays the selected tracks shuffled, after the last track)
Play shuffled

Note: we could combine 'Play mixed' and 'Play Next' and just keep the 'Play mixed' behavior.
 
2b) I'm not sure if we want to consider this at the same time, but MM is also missing Album Shuffle. If we want to add this, three additional entries would work i.e.

Play shuffled >
 - Play all
 - Play next
 - Play last
 - Play all (by album)
 - Play next (by album)
 - Play last (by album)

3. I think that this belongs more in the Play menu or Player menu, rather than a context menu for content (since it'll usually not be relevant). Also, in the Player/Play menus the current behavior (where it just changes the output) seems to make most sense (though a change in wording to 'Output to ...' might be clearer.

But if you feel strongly about this, we could organize the menu as follows:

Play all
Play next
Play last
Play more >
 - Play all
 - Play next
 - Play last
 - Play all (by album)
 - Play next (by album)
 - Play last (by album)
 -----------------------
 - Play to ...

4) I think that the proposed structure above negates the need for configurability of the menu. Note: I think configurability could be useful, but not necessarily worth spending time on at this particular juncture.

5) As long as we're working on Play menus, we may also want to improve the context menu for the Player, as it's currently missing:

Play / Stop / Stop after current / Previous / Next
Sleep / Equalizer
Crossfade / Shuffle / Continuous

Note: some of the above are present in the player itself, but not necessarily--it depends on the Player customization settings. Assuming the default settings, the most urgent items are:
Stop / Stop after current
Sleep / Equalizer

jiri

2017-12-13 16:27

administrator   ~0049405

1. OK, I suppose that it'd contain the 'Play Shuffled' menu item and all of its submenu items as described above in item 2?

2. I meant this specifically for [Play] and [Shuffle] buttons, so that each of them gets its relevant commands shown upon right-click. This applied e.g. to Artist and Album views, or Album pop-ups shown in Albums view, etc.

2b. Might be useful, but probably not enough to deserve few more menu items. Would better work as an Addon for users who really need such a functionality often?

3. Well, I was thinking particularly about a usecase, when I use MM5 to play tracks mainly locally, but then want to Cast a Video to TV (Chromecast). However, not a big deal, let's forget about it for now, maybe the idea will mature later...

4. OK, let's not implement this.

5. OK, let's add Stop / Stop after current / Sleep / Equalizer. Note the Stop is already there, but only in the Play button pop-up menu, not the whole player.

Seems to be mostly clear, assigning to Michal to implement.

michal

2017-12-27 09:59

developer   ~0049460

1), 2) and 5) fixed in build 2089.

jiri

2018-01-03 09:46

administrator   ~0049476

Last edited: 2018-01-03 09:56

View 3 revisions

Per http://forum.mediamonkey.com/viewtopic.php?f=30&t=89069, there's a problem with Shuffle in Playlist view (including missing pop-up menu for the buttons).

6. Regression: usage of the Shuffle button pop-up menu in Album pop-up results in a crash when a new Album pop-up is about to be shown.

7. Shuffle and Play in Artist view currently operate on Top tracks, which doesn't make much sense, particularly since Top tracks is a sub-view, that can even be hidden. We should operate on all available tracks.

michal

2018-01-04 12:04

developer   ~0049483

Fixed in build 2089.

peke

2018-02-07 23:44

developer   ~0049602

Verified 2089

jiri

2018-02-27 08:58

administrator   ~0049651

3. As I'm not the only one who thinks that Play To would be useful also locally, not only as a global switch (see e.g. http://forum.mediamonkey.com/viewtopic.php?f=30&t=89308&start=15#p443345), let's review whether/how to include it.

jiri

2018-05-29 08:50

administrator   ~0050409

3. Also mentioned here: https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=89312 . Rusty, do you agree to add it? I'd add it as an item 'Play To' right below Play Shuffled (i.e. top level of the pop-up menu).